import * as monaco from 'monaco-editor';
import { RegisteredFile } from '@codingame/monaco-vscode-files-service-override';
import { IWorkbenchConstructionOptions, IWorkspaceProvider } from 'vscode/vscode/vs/workbench/browser/web.api';
import EditorOpenHandlerRegistry from './tools/EditorOpenHandlerRegistry';
import 'vscode/localExtensionHost';
import './customExtensions';
import './languages';
import './worker';
export declare function registerFile(file: RegisteredFile): monaco.IDisposable;
declare const editorOpenHandlerRegistry: EditorOpenHandlerRegistry;
export declare function setUseGlobalPicker(useGlobalPicker?: boolean | (() => boolean)): void;
export declare function useGlobalPicker(): boolean;
export declare function registerServices(newServices: monaco.editor.IEditorOverrideServices): void;
export declare function generateAndInitializeWorkspace(workspaceFile?: monaco.Uri, label?: string): IWorkspaceProvider;
export declare const initializePromise: Promise<void>;
export declare function isInitialized(): boolean;
export declare function initialize(constructionOptions?: IWorkbenchConstructionOptions, container?: HTMLElement): Promise<void>;
export { editorOpenHandlerRegistry };
